document.onmouseover=function(){
	var el=event.srcElement;
	if(el.className=="hint"){
		el.className+=" hover";
		var height=document.body.offsetHeight,top=document.body.scrollTop;
		var x=event.x;y=event.y;
		var tipEl=el.getElementsByTagName("span")[0];
		tipEl.className="";
		tipEl.onclick=function(){return false;}
		if(height-y>80){
			tipEl.style.top=y+24+document.body.scrollTop+"px";
			tipEl.style.left=x-30+"px";
		}else{
			tipEl.className="postop";
			tipEl.style.top=document.body.scrollTop+y-tipEl.offsetHeight-16+"px";
			tipEl.style.left=x-30+"px";
		}
		el.onmouseout=function(){
			el.className=el.className.replace(" hover","");
		}
	}
};

